<template>
  <div class="right1-container">
    <InfoHeader
      name="维修内容统计表"
      eName="Annual maintenance overdue statistics"
    ></InfoHeader>
    <InfoContent height="4.3rem">
      <div class="d-flex">
        <div class="c-white d-flex a-c" style="padding-left: 0.1rem">
          选择时间或周期:
        </div>
        <RangeDatePicker @dateChange="dateChange"></RangeDatePicker>
      </div>
      <div class="d-flex">
        <BarCharts
          chartId="rightsssssw2s"
          :chartXData="chartXData"
          :chartYData="chartYData"
          :chartSettings="chartSettings"
        ></BarCharts>
      </div>
    </InfoContent>
  </div>
</template>

<script>
import InfoHeader from "@/components/infoHeader";
import InfoContent from "@/components/infoContent";
import BarCharts from "@/components/barCharts";
import { getElevatorMaintenanceTotal, getWorkInfoBar } from "@/api/elevator";
import RangeDatePicker from "@/components/rangeDatePicker/index.vue";
import moment from "moment";
export default {
  components: {
    InfoHeader,
    InfoContent,
    BarCharts,
    RangeDatePicker,
  },
  data() {
    return {
      chartXData: [],
      chartYData: [],
      startTime: moment().subtract(3, "months").format("YYYY-MM-DD"),
      endTime: moment().format("YYYY-MM-DD"),
      chartSettings: { legendTextArr: ["电梯数"], height: "3.8rem" },
      maintenanceName: "",
    };
  },
  created() {
    this.$nextTick(() => {
      this.getWorkInfoBarApi();

      this.$EventBus.$on("maintenanceName", (maintenanceName) => {
        console.log(maintenanceName, "maintenanceName");
        this.maintenanceName = maintenanceName;
      });
    });
  },
  methods: {
    getWorkInfoBarApi() {
      getWorkInfoBar({ startTime: this.startTime, endTime: this.endTime }).then(
        (res) => {
          {
            this.chartXData = res.data.map((item) =>
              item.repairPlanType === 11 ? "系统调整优化" : "维修换件"
            );
            this.chartYData = res.data.map((item) => item.elevatorTotal);
          }
        }
      );
    },

    dateChange(e) {
      console.log(e);
      this.startTime = e[0];
      this.endTime = e[1];
      this.getWorkInfoBarApi();
    },
  },
};
</script>
<style lang="scss" scoped>
.right1-container {
  position: fixed;
  top: 7rem;
  right: 0.22rem;
  width: 31%;
  pointer-events: all;
  .title1 {
    background-image: url("../../../assets/images/biaoti-bck.png");
    width: 1.875rem;
    height: 0.375rem;
    line-height: 0.375rem;
    margin: 0 auto;

    font-size: 0.2rem;
    color: white;
  }
  .order {
    background: url("../../../assets/images/guzhang_bck.png");
    background-repeat: no-repeat;
    background-size: 100% 35%;
    background-position: bottom;
    height: 3.25rem;
    .rate {
      font-size: 0.55rem;
      color: white;
      font-weight: bolder;
    }
    .item {
      margin: 0.375rem 0;
      .num-title {
        font-size: 0.3rem;
        color: white;
      }
      .num-value {
        font-size: 0.36rem;
        color: white;
        margin-left: 0.15rem;
      }
    }
  }
}
</style>
